Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## weka.gui.scripting.event
Enum ScriptExecutionEvent.Type

    java.lang.Object
      java.lang.Enum<ScriptExecutionEvent.Type>
          weka.gui.scripting.event.ScriptExecutionEvent.Type

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ScriptExecutionEvent.Type>

Enclosing class:
  ScriptExecutionEvent

    public static enum ScriptExecutionEvent.Type

extends java.lang.Enum<ScriptExecutionEvent.Type>

Defines the type of event.

Version:
  $Revision: 5142 $
Author:
  fracpete (fracpete at waikato dot ac dot nz)

Enum Constant Summary
`ERROR` finished with error.
`FINISHED` finished normal.
`STARTED` started execution.
`STOPPED` got stopped by user.

Method Summary
`static ScriptExecutionEvent.Type` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ScriptExecutionEvent.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### STARTED

    public static final ScriptExecutionEvent.Type STARTED

  started execution.

### FINISHED

    public static final ScriptExecutionEvent.Type FINISHED

  finished normal.

### ERROR

    public static final ScriptExecutionEvent.Type ERROR

  finished with error.

### STOPPED

    public static final ScriptExecutionEvent.Type STOPPED

  got stopped by user.

Method Detail

### values

    public static ScriptExecutionEvent.Type[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ScriptExecutionEvent.Type c : ScriptExecutionEvent.Type.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ScriptExecutionEvent.Type valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD